Index: daemons/mdnsresponder/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/daemons/mdnsresponder/PKGBUILD,v
retrieving revision 1.5
diff -u -r1.5 PKGBUILD
--- daemons/mdnsresponder/PKGBUILD	4 Jun 2005 08:51:55 -0000	1.5
+++ daemons/mdnsresponder/PKGBUILD	26 Apr 2008 18:36:35 -0000
@@ -25,7 +25,7 @@
   sed -i -e 's=/etc/nss_mdns.conf=$(STARTDIR)/pkg/etc/nss_mdns.conf=g' Makefile
    
   # starting make install
-  make os=linux INSTBASE=$startdir/pkg/usr STARTUPSCRIPTDIR=$startdir/pkg/etc/rc.d MANPATH=$startdir/pkg/usr/man \
+  make os=linux INSTBASE=$startdir/pkg/usr STARTUPSCRIPTDIR=$startdir/pkg/etc/rc.d MANPATH=$startdir/pkg/usr/share/man \
   NSSINSTPATH=$startdir/pkg/lib STARTDIR=$startdir install || return 1
   
   # fix wrong symlinks
Index: daemons/ntp/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/daemons/ntp/PKGBUILD,v
retrieving revision 1.23
diff -u -r1.23 PKGBUILD
--- daemons/ntp/PKGBUILD	31 Dec 2007 04:11:20 -0000	1.23
+++ daemons/ntp/PKGBUILD	26 Apr 2008 18:36:35 -0000
@@ -2,17 +2,16 @@
 # Maintainer: dorphell <dorphell@archlinux.org>
 pkgname=ntp
 pkgver=4.2.4p4
-pkgrel=4
+pkgrel=5
 pkgdesc="NTP (Network Time Protocol) tries to keep servers in sync"
 arch=(i686 x86_64)
 license=('custom')
 url="http://www.ntp.org/"
 depends=('openssl=0.9.8g' 'readline')
 backup=('etc/ntp.conf' 'conf.d/ntp-client.conf')
-source=(http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${pkgver}.tar.gz \
-        http://www.archlinux.org/~dorphell/ntp-4.2.0a-manpages.tar.bz2 ntp.conf ntp-client.conf ntpd ntpdate)
+source=(http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${pkgver}.tar.gz
+        ntp.conf ntp-client.conf ntpd ntpdate)
 md5sums=('fcb32a01e1ae3f9ed5bac86b12c7a1cc'
-         'd3a5a6185ef5ed71d2fa8e06598fc28f'
          '5bd3924f5720b97837969ec4ec4d5e09'
          'c7f50632b69bd4f32cf052d0b1848463'
          '46118a8ec2c4f5bbfafd730af21b7c03'
Index: games/xbl/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/games/xbl/PKGBUILD,v
retrieving revision 1.6
diff -u -r1.6 PKGBUILD
--- games/xbl/PKGBUILD	20 Jul 2006 21:14:58 -0000	1.6
+++ games/xbl/PKGBUILD	26 Apr 2008 18:36:36 -0000
@@ -33,7 +33,7 @@
 		GROUP_GID=$gid LIBDIR=$startdir/pkg/usr/lib \
 		RESOURCEDIR=$startdir/pkg/usr/lib/X11/app-defaults \
 		SCOREDIR=$startdir/pkg/usr/lib/xbl \
-		MANPATH=$startdir/pkg/usr/man install
+		MANPATH=$startdir/pkg/usr/share/man install
 
 	/bin/chgrp -R users $startdir/pkg/usr/lib/xbl
 }
Index: lib/libcap/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/lib/libcap/PKGBUILD,v
retrieving revision 1.4
diff -u -r1.4 PKGBUILD
--- lib/libcap/PKGBUILD	29 Oct 2006 23:46:00 -0000	1.4
+++ lib/libcap/PKGBUILD	26 Apr 2008 18:36:38 -0000
@@ -6,7 +6,7 @@
 pkgdesc="POSIX 1003.1e capabilities"
 arch=(i686 x86_64)
 url="http://www.kernel.org/pub/linux/libs/security/linux-privs/"
-license="GPL"
+license=('GPL')
 depends=('glibc')
 source=(http://www.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/${pkgname}-${pkgver}.tar.gz
 	libcap-1.10-debian.patch)
Index: multimedia/pmt/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/multimedia/pmt/PKGBUILD,v
retrieving revision 1.2
diff -u -r1.2 PKGBUILD
--- multimedia/pmt/PKGBUILD	7 Nov 2007 00:34:12 -0000	1.2
+++ multimedia/pmt/PKGBUILD	26 Apr 2008 18:36:39 -0000
@@ -3,19 +3,18 @@
 
 pkgname=pmt
 pkgver=2006.06.11
-pkgrel=2
+pkgrel=3
 pngcrushver=1.6.4
 pngmetaver=1.11
 bmp2pngver=1.62
 arch=('i686' 'x86_64')
 license=('complicated') #inherits png.h copyright?
-pkgdesc="PNG and MNG tools"
+pkgdesc="PNG and MNG tools, including pngcrush and pngmeta"
 url="http://pmt.sourceforge.net/"
 depends=("libpng")
-source=("http://puzzle.dl.sourceforge.net/sourceforge/pmt/pngcrush-${pngcrushver}.tar.gz" \
-	"http://puzzle.dl.sourceforge.net/sourceforge/pmt/pngmeta-${pngmetaver}.tar.gz" \
-	"http://cetus.sakura.ne.jp/softlab/b2p-home/archives/bmp2png-${bmp2pngver}.tar.gz" \
-)
+source=("http://downloads.sourceforge.net/sourceforge/pmt/pngcrush-${pngcrushver}.tar.gz"
+        "http://downloads.sourceforge.net/sourceforge/pmt/pngmeta-${pngmetaver}.tar.gz"
+        "http://cetus.sakura.ne.jp/softlab/b2p-home/archives/bmp2png-${bmp2pngver}.tar.gz")
 
 build() {
   cd $startdir/src/pngmeta-${pngmetaver}
Index: multimedia/xvidcore/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/multimedia/xvidcore/PKGBUILD,v
retrieving revision 1.1
diff -u -r1.1 PKGBUILD
--- multimedia/xvidcore/PKGBUILD	30 Jun 2007 10:54:20 -0000	1.1
+++ multimedia/xvidcore/PKGBUILD	26 Apr 2008 18:36:39 -0000
@@ -5,7 +5,7 @@
 pkgname=xvidcore
 pkgver=1.1.3
 pkgrel=1
-pkgdesc="XviD is an open source MPEG-4 video codec"
+pkgdesc="An open source MPEG-4 video codec"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.xvid.org/"
Index: network/nmap/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/network/nmap/PKGBUILD,v
retrieving revision 1.54
diff -u -r1.54 PKGBUILD
--- network/nmap/PKGBUILD	22 Mar 2008 15:29:32 -0000	1.54
+++ network/nmap/PKGBUILD	26 Apr 2008 18:36:40 -0000
@@ -11,6 +11,8 @@
 depends=('pcre' 'openssl' 'libpcap>=0.9.8' 'lua')
 # python is needed for zenmap
 makedepends=('python')
+optdepends=('python: for zenmap support'
+            'python-pysqlite: for zenmap support')
 options=('!makeflags')
 source=(http://download.insecure.org/nmap/dist/$pkgname-$pkgver.tgz
         zenmap_pixmaps.patch)
Index: office/mime-types/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/office/mime-types/PKGBUILD,v
retrieving revision 1.1
diff -u -r1.1 PKGBUILD
--- office/mime-types/PKGBUILD	28 Apr 2007 18:05:18 -0000	1.1
+++ office/mime-types/PKGBUILD	26 Apr 2008 18:36:41 -0000
@@ -1,16 +1,26 @@
 # $Id: PKGBUILD,v 1.1 2007/04/28 18:05:18 jgc Exp $
 # Maintainer: Jan de Groot <jgc@archlinux.org>
+# Maintainer: Dan McGee <dan@archlinux.org>
 pkgname=mime-types
-pkgver=1.0
+pkgver=1.1
 pkgrel=1
 pkgdesc="Provides /etc/mime.types"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://packages.gentoo.org/ebuilds/?mime-types-7"
+license=('GPL2')
 backup=(etc/mime.types)
-source=(mime.types)
-md5sums=('aa90248272ba2e9dca0a243746686739')
+source=(http://distfiles.gentoo.org/distfiles/mime-types-7.tar.bz2
+        archlinux.patch)
+md5sums=('dada86e182cb2e290e57c04e130f0212'
+         'ef88ad15aa56d4e0fcb52329e1d0f2ff')
+sha1sums=('625764d38750b1d54a558c89d885154781d4211a'
+          '3e2e610e3d9a5570e69a2484988ec7db3471a0b4')
 
 build() {
-  cd ${startdir}/src
+  cd ${startdir}/src/mime-types-7
+  # add our own explanation in there instead of the gentoo one
+  patch -p1 < ../archlinux.patch
+
   mkdir ${startdir}/pkg/etc
   install -m644 mime.types ${startdir}/pkg/etc/
 }
Index: system/root-tail/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/system/root-tail/PKGBUILD,v
retrieving revision 1.9
diff -u -r1.9 PKGBUILD
--- system/root-tail/PKGBUILD	30 May 2006 17:31:15 -0000	1.9
+++ system/root-tail/PKGBUILD	26 Apr 2008 18:36:41 -0000
@@ -18,7 +18,7 @@
   /usr/bin/xmkmf -a
   /usr/bin/make || return 1
   /bin/sed -i "s|BINDIR = /usr/X11R6/bin|BINDIR = /usr/bin|" Makefile
-  /bin/sed -i "s|MANPATH = /usr/X11R6/man|MANPATH = /usr/man|" Makefile
+  /bin/sed -i "s|MANPATH = /usr/X11R6/man|MANPATH = /usr/share/man|" Makefile
   /usr/bin/make DESTDIR=$startdir/pkg install || return 1
   /usr/bin/make DESTDIR=$startdir/pkg install.man || return 1
   /bin/rm $startdir/pkg/usr/X11R6/ -rfv
Index: system/xdelta/PKGBUILD
===================================================================
RCS file: /home/cvs-extra/extra/system/xdelta/PKGBUILD,v
retrieving revision 1.8
diff -u -r1.8 PKGBUILD
--- system/xdelta/PKGBUILD	26 Mar 2007 08:32:50 -0000	1.8
+++ system/xdelta/PKGBUILD	26 Apr 2008 18:36:41 -0000
@@ -3,27 +3,20 @@
 # Contributor: Tom Newsom <Jeepster@gmx.co.uk>
 
 pkgname=xdelta
-pkgver=1.1.4
+pkgver=3.0r
+_dlver=30r
 pkgrel=1
-pkgdesc="Used to identify differences between files similar to rsync"
+pkgdesc="Binary diff and delta compression tools"
 arch=(i686 x86_64)
+url="http://xdelta.googlecode.com"
 depends=('glib' 'zlib')
-source=("http://xdelta.googlecode.com/files/$pkgname-$pkgver.tar.gz")
-url="http://sourceforge.net/projects/xdelta/"
-md5sums=('1b896c01ebf0e353b7e3c3071b05f496')
+options=(!libtool)
+source=("http://xdelta.googlecode.com/files/xdelta${_dlver}.tar.gz")
+md5sums=('bafedf6672dfa0e1850e6ba8c6fc5a4e')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-
-   #Arch64 fix
-if [ "$CARCH" == "x86_64" ]; then
-  rm config.guess config.sub
-  ln -s /usr/share/libtool/config.guess config.guess
-  ln -s /usr/share/libtool/config.sub config.sub
-fi
-  
+  cd $startdir/src/xdelta${_dlver}
   ./configure --prefix=/usr
   make || return 1
   make prefix=$startdir/pkg/usr install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
 }
